Package io.github.jdbcx

# Class WrappedPooledConnection

java.lang.Object
io.github.jdbcx.WrappedPooledConnection

All Implemented Interfaces:
  `PooledConnection`

Direct Known Subclasses:
  `WrappedXAConnection`

public class WrappedPooledConnection extends Object implements PooledConnection
This class serves as a wrapper for a `PooledConnection`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WrappedPooledConnection(PooledConnection conn)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConnectionEventListener(ConnectionEventListener listener)`
`void`
`addStatementEventListener(StatementEventListener listener)`
`void`
`close()`
`Connection`
`getConnection()`
`void`
`removeConnectionEventListener(ConnectionEventListener listener)`
`void`
`removeStatementEventListener(StatementEventListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrappedPooledConnection

protected WrappedPooledConnection(PooledConnection conn)

## Method Details

### getConnection

public Connection getConnection() throws SQLException

Specified by:
  `getConnection` in interface `PooledConnection`
Throws:
  `SQLException`

### close

public void close() throws SQLException

Specified by:
  `close` in interface `PooledConnection`
Throws:
  `SQLException`

### addConnectionEventListener

public void addConnectionEventListener(ConnectionEventListener listener)

Specified by:
  `addConnectionEventListener` in interface `PooledConnection`

### removeConnectionEventListener

public void removeConnectionEventListener(ConnectionEventListener listener)

Specified by:
  `removeConnectionEventListener` in interface `PooledConnection`

### addStatementEventListener

public void addStatementEventListener(StatementEventListener listener)

Specified by:
  `addStatementEventListener` in interface `PooledConnection`

### removeStatementEventListener

public void removeStatementEventListener(StatementEventListener listener)

Specified by:
  `removeStatementEventListener` in interface `PooledConnection`